# Interface Interruptible

All Known Implementing Classes:
  `AccessLogSampler, AjpSampler, BeanShellSampler, FTPSampler, HTTPAbstractImpl, HTTPFileImpl, HTTPHC3Impl, HTTPHC4Impl, HTTPHCAbstractImpl, HTTPJavaImpl, HTTPSampler, HTTPSampler2, HTTPSamplerProxy, JMeterThread, MailReaderSampler, SoapSampler, SubscriberSampler, TCPSampler, TestAction`

public interface Interruptible
Samplers which are able to interrupt a potentially long-running operation should implement this interface.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`interrupt()`
Interrupt the current operation if possible.

## Method Details

### interrupt

boolean interrupt()
Interrupt the current operation if possible.

Returns:
  `true` if there was an operation to interrupt.